<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
//import Tooltip from '@/components/general/Tooltip.vue';
import { computed } from 'vue';
const props = defineProps<{
    type: string
}>();
const style = computed(() => {
    switch (props.type.toLowerCase()) {
        case 'schedule':
            return "border-blue-800 text-blue-800 bg-blue-200";
        case "freeform":
            return "border-red-800 text-red-800 bg-red-200";
        case "stream":
            return "border-amber-800 text-amber-800 bg-amber-200";
        case "timeline":
            return "border-green-800 text-green-800 bg-green-200";
        default:
            return "";
    }
});
</script>
<template>
    <Tooltip :tooltip="$t(`dashboardPage.types.${type.toLowerCase()}`)">
        <span class="uppercase inline-block border rounded-full size-4 leading-4 text-[10px] text-center align-middle cursor-pointer"
            :class="[style]">
            {{ $t(`dashboardPage.types.${type.toLowerCase()}`)[0] }}
        </span>
    </Tooltip>
</template>